Subject: Re: bug#23426: 25.0.93; dired-do-find-regexp doesn't find newline

From: Dmitry Gutov <[email-masked]>
Date: Tue, 3 May 2016 20:22:21 +0300

On 05/03/2016 04:18 AM, Glenn Morris wrote:

> For this specific example, a grep-ish way to find empty lines is '^$'.

You can't search for an empty line following a letter 'A' this way, though.

> However, using "A" to search for that (or the empty regexp) causes Emacs
> to hang indefinitely. :(

Yup, it's a bug in xref--collect-matches-1 (you can re-search-forward 
indefinitely for such a regexp, and that's what it does). I'll try not 
to forget about it.